Bug 1386333 - Wrong default openshift_release version
Summary: Wrong default openshift_release version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.3.1
Assignee: Devan Goodwin
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-18 17:03 UTC by Peter Larsen
Modified: 2017-01-03 03:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 19:09:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2778 0 normal SHIPPED_LIVE Moderate: atomic-openshift-utils security and bug fix update 2016-11-16 00:08:29 UTC

Description Peter Larsen 2016-10-18 17:03:42 UTC
Description of problem:

Default /usr/share/doc/openshift-ansible-docs-3.3.28/docs/example-inventories/hosts.ose.example contains openshift_release=v3.2 when being pulled from the 3.3 repository.

Version-Release number of selected component (if applicable):

# yum repolist
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
repo id                                  repo name                                                 status
rhel-7-server-extras-rpms/x86_64         Red Hat Enterprise Linux 7 Server - Extras (RPMs)            297
rhel-7-server-ose-3.3-rpms/x86_64        Red Hat OpenShift Container Platform 3.3 (RPMs)              552
rhel-7-server-rpms/7Server/x86_64        Red Hat Enterprise Linux 7 Server (RPMs)                  11,396

As found in package openshift-ansible-docs-3.3.28-1.git.0.762256b.el7.noarch

How reproducible:
Install OpenShift - copy default inventory file from above location.

Comment 3 Gaoyun Pei 2016-11-07 07:19:18 UTC
This bug is fixed on openshift-ansible-docs-3.4.17-1.git.0.4698b0c.el7.noarch.
[root@qe-weshi-ansible ~]# grep  openshift_release -r /usr/share/doc/openshift-ansible-docs-3.4.17/docs/
/usr/share/doc/openshift-ansible-docs-3.4.17/docs/example-inventories/hosts.origin.example:openshift_release=v1.4
/usr/share/doc/openshift-ansible-docs-3.4.17/docs/example-inventories/hosts.ose.example:openshift_release=v3.4
 

but for openshift-ansible-docs-3.3.44-1.git.0.48e34f6.el7.noarch, it's still not correct.
[root@qe-weshi-ansible ~]# grep  openshift_release -r /usr/share/doc/openshift-ansible-docs-3.3.44/docs/
/usr/share/doc/openshift-ansible-docs-3.3.44/docs/example-inventories/hosts.origin.example:openshift_release=v1.2
/usr/share/doc/openshift-ansible-docs-3.3.44/docs/example-inventories/hosts.ose.example:openshift_release=v3.2

Comment 9 Gaoyun Pei 2016-11-10 02:13:35 UTC
Verify this bug with openshift-ansible-docs-3.3.48-1.git.0.e6da1d5.el7.noarch, [root@openshift-125 ~]# grep  openshift_release -r /usr/share/doc/openshift-ansible-docs-3.3.48/docs/
/usr/share/doc/openshift-ansible-docs-3.3.48/docs/example-inventories/hosts.origin.example:openshift_release=v1.3
/usr/share/doc/openshift-ansible-docs-3.3.48/docs/example-inventories/hosts.ose.example:openshift_release=v3.3

Comment 10 errata-xmlrpc 2016-11-15 19:09:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:2778


Note You need to log in before you can comment on or make changes to this bug.